Skip to main content
GET
/
api
/
watchlist
/
{watchlist_id}
/
entities
curl -X GET "https://api.finscreener.in/api/watchlist/wl_123/entities?page=1&limit=10" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "entities": [
    {
      "CIN": "U72200MH2004PTC148441",
      "companyName": "TATA CONSULTANCY SERVICES LIMITED",
      "City": "Mumbai",
      "llpStatus": "Active"
    }
  ],
  "total": 25,
  "page": 1,
  "limit": 10
}
Retrieve entities in a watchlist with pagination and optional search.

Path Parameters

watchlist_id
string
required
Watchlist ID

Headers

Authorization
string
required
Bearer token: Bearer <access_token>

Query Parameters

page
number
default:"1"
Page number
limit
number
default:"10"
Items per page (max: 100)
search_query
string
Search entities within the watchlist by name
curl -X GET "https://api.finscreener.in/api/watchlist/wl_123/entities?page=1&limit=10" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "entities": [
    {
      "CIN": "U72200MH2004PTC148441",
      "companyName": "TATA CONSULTANCY SERVICES LIMITED",
      "City": "Mumbai",
      "llpStatus": "Active"
    }
  ],
  "total": 25,
  "page": 1,
  "limit": 10
}